Bug 139091 - mount of cifs share (specified in fstab) fails on bootup
mount of cifs share (specified in fstab) fails on bootup
Product: Fedora
Classification: Fedora
Component: util-linux (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Elliot Lee
Depends On:
  Show dependency treegraph
Reported: 2004-11-12 16:09 EST by Richard Hughes
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-12-19 05:59:28 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Richard Hughes 2004-11-12 16:09:46 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5)
Gecko/20041111 Firefox/1.0

Description of problem:
On bootup my CIFS share is not automounted, but instead gives an error.

The offending line in fstab is:

//ns1.vlan/music /media/music cifs
user,credentials=/etc/passwd-hughsie    0 0

And it gives me:

Nov 11 17:20:20 hughsie mount: mount error: could not find target
server. TCP name ns1.vlan/music not found  rc = 16720

It is obvious mount has lost the leading // characters.

When booting has finished I can sucessfully use:

mount -t cifs //ns1.vlan/music /media/music/ -o username=hughsie
mount.cifs //ns1.vlan/music /media/music/ -o username=hughsie
mount /media/music

Which shows it is not a CIFS or kernel issue, nor a permissions issue,
but a problem with mount whilst booting.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. add valid CIFS share to automount in fstab
2. reboot

Actual Results:  Error message printed, share not mounted.
Expected Results:  Share should mount as expected.
Comment 1 Bastien Nocera 2004-12-17 05:55:56 EST
Are you sure that "ns1.vlan" can resolve when netfs is started?
Comment 2 Richard Hughes 2004-12-19 05:49:25 EST
Oops you're right. 

I put a "ping ns1.vlan" at the start of netfs and it failed. 
I was relying on my wireless card for this network, which hadn't come
up by this point. (it automatically connects even though ONBOOT=no,
weird...) By setting ONBOOT=yes the card came up earlier and the mount

The messagage *was* misleading, but this I found was a mount.cifs bug.

If I enter at the command prompt:
/sbin/mount.cifs //ns3.vlan/write /media/write-ns1/

(and ns3 does not exist on my network) I get

mount error: could not find target server. TCP name ns3.vlan/write not

When I should get

mount error: could not find target server. TCP name ns3.vlan not found

I'll contact Steve French directly and submit a bug report.

This bug can be closed now. 

Note You need to log in before you can comment on or make changes to this bug.